Subject: bug#57957: 29.0.50; Native compilation hangs on cyclic lists

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Sep 2022 10:25:26 -0400

Lars Ingebrigtsen [2022-09-22 13:15:39] wrote:
> Andrea Corallo <[email-masked]> writes:
>> I see nor cl-nsubst-if nor cl-subst-if are robust against cyclic lists.
>> Is this a bug in cl-lib or is it expected?  In case I'll add an ad-hoc
>> substitute for this use (if there's no other alternative).
> I'm not sure -- Stefan probably knows; added to the CCs.

Sorry, but these functions come straight for the `cl.el` lib that was
there before I started using Emacs.

        Stefan